import RetroAnimation from "./retro/RetroAnimation.js";
import Movable from "./Movable.js";
import Setting from "./Setting.js";

export default class Gisela extends Movable
{
    constructor() {
        const SCALE = 2;
        super(new RetroAnimation(Setting.GRAPHICS_LOCATION + 'gisela-right.png', 1, SCALE, 0.01));
        this.addAnimation(
            'LOOK_LEFT',
            new RetroAnimation(Setting.GRAPHICS_LOCATION + 'gisela-left.png', 1, SCALE, 0.01)
        );
        this.addAnimation(
            'LOOK_RIGHT',
            new RetroAnimation(Setting.GRAPHICS_LOCATION + 'gisela-right.png', 1, SCALE, 0.01)
        );
	this.addAnimation(
            'SLEEP_LEFT',
            new RetroAnimation(Setting.GRAPHICS_LOCATION + 'giesela-left-sleeping.png', 4, SCALE, 6)
        );
        this.addAnimation(
            'SLEEP_RIGHT',
            new RetroAnimation(Setting.GRAPHICS_LOCATION + 'giesela-right-sleeping.png', 4, SCALE, 6)
        );
    }
}
